gitit

Safe Haskell | Safe-Infered

Main

# Documentation

main :: IO ()

data Opt

Constructors

Help |
ConfigFile FilePath |
Port Int |
Listen String |
Debug |
Version |
PrintDefaultConfig |

Instances

Eq Opt |

flags :: [OptDescr Opt]

checkListen :: String -> String

getListenOrDefault :: [Opt] -> String

parseArgs :: [String] -> IO [Opt]

usageHeader :: String -> String

copyrightMessage :: String

compileInfo :: String

handleFlag :: Config -> Opt -> IO Config

putErr :: ExitCode -> String -> IO a